Go to the latest version of this document.

# ``twisted`.`web`.`client`.`RequestTransmissionFailed``

exception documentation

`class RequestTransmissionFailed(_WrapperException): (source)`

Constructor: `RequestTransmissionFailed(reasons)`

View In Hierarchy

There was an error while sending the bytes which make up a request.

Instance Variable | `reasons` | A `list` of one or more `Failure` instances giving the reasons the request transmission was considered to have failed.

Inherited from `_WrapperException`:

Method | `__init__` | Undocumented

reasons = (source)
overrides `twisted.web._newclient._WrapperException.reasons`

A `list` of one or more `Failure` instances giving the reasons the request transmission was considered to have failed.